package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class TeacherCloseDto {

    @ApiModelProperty(value = "上课日期")
    private String classDate;

    @ApiModelProperty(value = "上课时间")
    private String classTime;

    @ApiModelProperty(value = "班级名字")
    private String className;

    @ApiModelProperty(value = "课程类型")
    private String courseScheduleType;

    @ApiModelProperty(value = "课程编号")
    private Integer courseScheduleId;

    @ApiModelProperty(value = "上课类型（主教助教）")
    private String teacherRole;

    @ApiModelProperty(value = "总课时")
    private Integer totalClassTimes;

    @ApiModelProperty(value = "当前课时")
    private Integer currentClassTimes;

    @ApiModelProperty(value = "签到状态:0异常，1正常,3未签到")
    private Integer signInStatus;

    @ApiModelProperty(value = "签退状态:0异常，1正常,3未签到")
    private Integer signOutStatus;

    @ApiModelProperty(value = "实际结算薪水")
    private BigDecimal actualSalary;

    @ApiModelProperty(value = "预计结算薪水")
    private BigDecimal expectSalary;

    @ApiModelProperty(value = "实际结算时间")
    private Date settlementTime;

    @ApiModelProperty(value = "补贴")
    private BigDecimal subsidy;

    public BigDecimal getExpectSalary() {
        return expectSalary;
    }

    public void setExpectSalary(BigDecimal expectSalary) {
        this.expectSalary = expectSalary;
    }

    public Integer getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Integer courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public String getClassTime() {
        return classTime;
    }

    public void setClassTime(String classTime) {
        this.classTime = classTime;
    }

    public String getClassDate() {
        return classDate;
    }

    public void setClassDate(String classDate) {
        this.classDate = classDate;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getCourseScheduleType() {
        return courseScheduleType;
    }

    public void setCourseScheduleType(String courseScheduleType) {
        this.courseScheduleType = courseScheduleType;
    }

    public String getTeacherRole() {
        return teacherRole;
    }

    public void setTeacherRole(String teacherRole) {
        this.teacherRole = teacherRole;
    }

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public void setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
    }

    public Integer getSignInStatus() {
        return signInStatus;
    }

    public void setSignInStatus(Integer signInStatus) {
        this.signInStatus = signInStatus;
    }

    public Integer getSignOutStatus() {
        return signOutStatus;
    }

    public void setSignOutStatus(Integer signOutStatus) {
        this.signOutStatus = signOutStatus;
    }

    public BigDecimal getActualSalary() {
        return actualSalary;
    }

    public void setActualSalary(BigDecimal actualSalary) {
        this.actualSalary = actualSalary;
    }

    public Date getSettlementTime() {
        return settlementTime;
    }

    public void setSettlementTime(Date settlementTime) {
        this.settlementTime = settlementTime;
    }

    public BigDecimal getSubsidy() {
        return subsidy;
    }

    public void setSubsidy(BigDecimal subsidy) {
        this.subsidy = subsidy;
    }
}
